/**
 * 
 */
package de.mcs.tools.sps.ui.views.assemblerview;

import java.util.ArrayList;
import java.util.List;

import com.vaadin.flow.component.button.Button;
import com.vaadin.flow.component.combobox.ComboBox;
import com.vaadin.flow.component.html.Label;
import com.vaadin.flow.component.icon.Icon;
import com.vaadin.flow.component.icon.VaadinIcon;
import com.vaadin.flow.component.orderedlayout.HorizontalLayout;
import com.vaadin.flow.component.orderedlayout.VerticalLayout;
import com.vaadin.flow.component.textfield.TextArea;
import com.vaadin.flow.router.PageTitle;
import com.vaadin.flow.router.Route;

import de.mcs.tools.sps.emulator.model.Hardware;
import de.mcs.tools.sps.ui.MainLayout;

/**
 * @author w.klaas
 *
 */
@Route(value = "", layout = MainLayout.class)
@PageTitle("SPS Assembler")
public class AssemblerView extends VerticalLayout {

  private final Label header = new Label("SPS Assembler");
  private final TextArea source = new TextArea("source");
  private final Label lbHardware = new Label("Hardware:");
  private final ComboBox<String> cbHardware = new ComboBox<>();
  private final Label lbOutputFormat = new Label("Output Format:");
  private final ComboBox<String> cbOutputFormat = new ComboBox<>();
  private final Button btCompile = new Button(new Icon(VaadinIcon.CODE));

  /**
   * 
   */
  public AssemblerView() {
    initView();

    initComboBoxes();

    HorizontalLayout viewToolbar = new HorizontalLayout();
    viewToolbar.addClassName("view-toolbar");
    viewToolbar.add(lbHardware);
    viewToolbar.add(cbHardware);
    viewToolbar.add(lbOutputFormat);
    viewToolbar.add(cbOutputFormat);
    viewToolbar.add(btCompile);
    viewToolbar.setVerticalComponentAlignment(Alignment.CENTER, lbHardware, lbOutputFormat);
    add(viewToolbar);

    btCompile.getElement().setAttribute("title", "compile");

    VerticalLayout container = new VerticalLayout();
    container.setPadding(false);
    container.setClassName("view-container");
    container.setAlignItems(Alignment.STRETCH);
    source.setSizeFull();
    container.add(source);
    add(container);
  }

  private void initComboBoxes() {
    List<String> items = new ArrayList<>();
    for (Hardware hardwareItem : Hardware.values()) {
      items.add(hardwareItem.name());
    }
    cbHardware.setItems(items);
    cbHardware.setValue("HOLTEK");

    items = new ArrayList<>();
    items.add("IntelHEX");
    items.add("TPSText");
    items.add("HEXText");

    cbOutputFormat.setItems(items);
    cbOutputFormat.setValue("IntelHEX");
  }

  private void initView() {
    addClassName("assembler-view");
    setDefaultHorizontalComponentAlignment(Alignment.STRETCH);
  }

}
