/**
 * MCS Media Computer Software
 * Copyright 2019 by Wilfried Klaas
 * Project: SPSEmulator
 * File: WebÊmulatorConfiguration.java
 * EMail: W.Klaas@gmx.de
 * Created: 29.01.2019 wklaa_000
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>
 */
package de.mcs.tools.sps.emulator;

import org.hibernate.validator.constraints.NotEmpty;

import com.fasterxml.jackson.annotation.JsonProperty;

import io.dropwizard.Configuration;

/**
 * @author wklaa_000
 *
 */
public class WebEmulatorConfiguration extends Configuration {

  @NotEmpty
  private String nodename;

  /**
   * @return the nodename
   */
  @JsonProperty
  public String getNodename() {
    return nodename;
  }

  /**
   * @param nodename
   *          the nodename to set
   */
  @JsonProperty
  public void setNodename(String nodename) {
    this.nodename = nodename;
  }
}
