/*
 * Copyright 2000-2017 Vaadin Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package de.mcs.tools.sps.ui.encoders;

import com.vaadin.flow.templatemodel.ModelEncoder;

/**
 * @author Vaadin Ltd
 *
 */

public class LongToStringEncoder implements ModelEncoder<Long, String> {

    @Override
    public String encode(Long modelValue) {
        if (modelValue == null)
            return null;
        return modelValue.toString();
    }

    @Override
    public Long decode(String presentationValue) {
        if (presentationValue == null)
            return null;
        return Long.parseLong(presentationValue);
    }

}
